Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

mariadb-libs on DNS only server

Discussion in 'Database Discussion' started by Erik Ellsinger, Nov 1, 2015.

  1. Erik Ellsinger

    Erik Ellsinger Well-Known Member

    Joined:
    Sep 25, 2015
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Sweden
    cPanel Access Level:
    Root Administrator
    I'm trying to install nrpe and the nagios plugins on my cPanel DNS only server but I run into a issue at installation.

    The nagios plugins want to install the package mariadb-libs but when it tries to I get this error message:

    Code:
    Transaction check error:
      file /usr/share/mysql/charsets/README from install of mariadb-libs-1:5.5.44-1.el7_1.x86_64 conflicts with file from package MySQL55-server-5.5.45-1.cp1148.x86_64
      file /usr/share/mysql/charsets/Index.xml from install of mariadb-libs-1:5.5.44-1.el7_1.x86_64 conflicts with file from package MySQL55-server-5.5.45-1.cp1148.x86_64
    
    - Removed -
    Anyone know how to resolve this? DNS only doesn't seem to support MariaDB so upgrading to that doesn't look like a solution.
     
    #1 Erik Ellsinger, Nov 1, 2015
    Last edited by a moderator: Nov 1, 2015
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,442
    Likes Received:
    1,961
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Erik Ellsinger

    Erik Ellsinger Well-Known Member

    Joined:
    Sep 25, 2015
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Sweden
    cPanel Access Level:
    Root Administrator
    Doesn't seem like a good solution, I would rather try to get around the problem that nagios-plugins require mariadb-libs, isn't there a corresponding package for MySQL it could use?
     
  4. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,442
    Likes Received:
    1,961
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    That question is better asked to the developers or support team of the plugin you are attempting to install.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice